using System.Security.Cryptography.X509Certificates;

namespace BibliothequeClasses
{
    public class Joueur : Combinaison
    {
        private string nom;
        private int nbCoups;
        private string[] combinaisonAleatoire = [];

        public Joueur(string nom)
        {
            this.nom = nom;
            this.nbCoups = 0;
        }

        public void FaireProposition(Combinaison saisi)
        {
            this.nbCoups += 1;
            
        }
        public string[] GenererCombinaison()
        {
            for(int i = 0; i < 4; i++)
            {
                var rand = new Random();
                // recuperer une couleur est l'ajouter à la combinaison aléatoire
            }
            
        }

        public static int NbCoups()
        {
            get;
        }
    }
}
